services:
  frontend:
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.hexawetter.rule=Host(`${DOMAIN}`)"
      - "traefik.http.routers.hexawetter.entrypoints=websecure"
      - "traefik.http.routers.hexawetter.tls=true"
      - "traefik.http.routers.hexawetter.tls.certresolver=${TRAEFIK_CERTRESOLVER:-letsencrypt}"
      - "traefik.http.services.hexawetter.loadbalancer.server.port=80"
    networks:
      - default
      - traefik

networks:
  traefik:
    external: true
